<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.app.mapper.AppVersionMapper">

    <resultMap type="AppVersion" id="AppVersionResult">
        <result property="id" column="id"/>
        <result property="platform" column="platform"/>
        <result property="apkUrl" column="apk_url"/>
        <result property="updateRemark" column="update_remark"/>
        <result property="isRequire" column="is_require"/>
        <result property="version" column="version"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectAppVersionVo">
        select id, platform, apk_url, update_remark, is_require, version, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from app_version
    </sql>

    <select id="selectAppVersionList" parameterType="AppVersion" resultMap="AppVersionResult">
        <include refid="selectAppVersionVo"/>
        <where>
            <if test="platform != null  and platform != ''">
                and platform = #{platform}
            </if>
        </where>
        order by create_time desc
    </select>

    <select id="selectAppVersionById" parameterType="Long"
            resultMap="AppVersionResult">
        <include refid="selectAppVersionVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppVersion" parameterType="AppVersion" useGeneratedKeys="true"
            keyProperty="id">
        insert into app_version
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="platform != null and platform != ''">platform,
            </if>
            <if test="apkUrl != null">apk_url,
            </if>
            <if test="updateRemark != null and updateRemark != ''">update_remark,
            </if>
            <if test="isRequire != null and isRequire != ''">is_require,
            </if>
            <if test="version != null and version != ''">version,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="platform != null and platform != ''">#{platform},
            </if>
            <if test="apkUrl != null">#{apkUrl},
            </if>
            <if test="updateRemark != null and updateRemark != ''">#{updateRemark},
            </if>
            <if test="isRequire != null and isRequire != ''">#{isRequire},
            </if>
            <if test="version != null and version != ''">#{version},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateAppVersion" parameterType="AppVersion">
        update app_version
        <trim prefix="SET" suffixOverrides=",">
            <if test="platform != null and platform != ''">platform =
                #{platform},
            </if>
            <if test="apkUrl != null">apk_url =
                #{apkUrl},
            </if>
            <if test="updateRemark != null and updateRemark != ''">update_remark =
                #{updateRemark},
            </if>
            <if test="isRequire != null and isRequire != ''">is_require =
                #{isRequire},
            </if>
            <if test="version != null and version != ''">version =
                #{version},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppVersionById" parameterType="Long">
        delete from app_version where id = #{id}
    </delete>

    <delete id="deleteAppVersionByIds" parameterType="String">
        delete from app_version where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>